
Foreman - Bug #12659

Value cannot be overridden by unpressing the "inherit" button

12/02/2015 04:26 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Host creation   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2951

  

Description

Values that have data-explicit attribute set to false, are filtered out from the requests.

The problem here is that the attribute is not set to true, even if the user presses the button.

Look at application.js #disableButtonToggle, it uses #.data to set the value. It's the wrong method, should be changed to #.attr

Related issues:

Related to Foreman - Bug #12461: Compute profiles are not applied when inherited Closed 11/12/2015

Related to Foreman - Bug #12834: HostIntegrationTest::create new host page "e... Closed 12/15/2015

Associated revisions

Revision 6f65fd17 - 12/11/2015 06:37 AM - Shimon Shtein

Fixes #12659 - Fixed "inherit" behavior

Non-inherited attributes are now sent in the form data.

Revision 9ea7c2f4 - 12/11/2015 12:38 PM - Shimon Shtein

Fixes #12659 - Fixed "inherit" behavior

Non-inherited attributes are now sent in the form data.

(cherry picked from commit 6f65fd179f07d7106d301dbe90108d00f5f91170)

History

#1 - 12/02/2015 04:33 AM - Dominic Cleal

- Related to Bug #12461: Compute profiles are not applied when inherited added

#2 - 12/02/2015 04:33 AM - Dominic Cleal

- Category set to Host creation

- translation missing: en.field_release set to 63

#3 - 12/02/2015 05:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2951 added

#4 - 12/11/2015 07:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6f65fd179f07d7106d301dbe90108d00f5f91170.

#5 - 12/15/2015 10:25 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/6f65fd179f07d7106d301dbe90108d00f5f91170


- Related to Bug #12834: HostIntegrationTest::create new host page "enables override of hostgroup defaults" test failures added
